#ifndef FFTDIALOG_H
#define FFTDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QPushButton;
class QRadioButton;
class QLineEdit;
class QComboBox;
class QCheckBox;
class Graph;
	
class FFTDialog : public QDialog
{
    Q_OBJECT

public:
    FFTDialog(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~FFTDialog();

	QPushButton* buttonOK;
	QPushButton* buttonCancel;
	QRadioButton *forwardBtn, *backwardBtn;
	QComboBox* boxName;
	QLineEdit* boxSampling;
	QCheckBox* boxNormalize, *boxOrder;

public slots:
	void setGraph(Graph *g);
	void activateCurve(int index);
    virtual void languageChange();
	void accept();

private:
	Graph *graph;
};

#endif



